# Command: addtotrie

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    addtotrie - Add a function variant to a trie-object

Synopsis:

    trie [type-list] obj addtotrie -> trie

Description:

      addtotrie adds a new variant to the type-trie. Note, the type-list must
      contain at least one type. (Functions without parameters cannot be
      overloaded.

Parameters:

      trie		- a trie object, obtained by a call to trie.
      [type-list]	- an array with type-names, corresponding to the
      types of the parameters, expected by the function.

Author:

    Marc-Oliver Gewaltig

SeeAlso:

- trie

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/slitypecheck.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative